# This file is part of the OpenADK project. OpenADK is copyrighted
# material, please see the LICENCE file in the top-level directory.
#
# On the various kernel version variables:
#
# KERNEL_FILE_VER: version numbering used for tarball and contained top level
#                  directory (e.g. linux-4.1.2.tar.bz2 -> linux-4.1.2) (not
#                  necessary equal to kernel's version, e.g. linux-3.19
#                  contains kernel version 3.19.0)
# KERNEL_RELEASE:  OpenADK internal versioning
# KERNEL_VERSION:  final kernel version how we want to identify a specific kernel

ifeq ($(ADK_TARGET_KERNEL_VERSION_GIT),y)
ifneq ($(ADK_TARGET_KERNEL_HASH),)
KERNEL_FILE_VER:=	$(ADK_TARGET_KERNEL_HASH)
else
KERNEL_FILE_VER:=	git
endif
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_4_5_2),y)
KERNEL_FILE_VER:=	4.5.2
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		e32339db8365f0f10b873928095da47dd3e8a40f8ea5edd5501320d4ff30209f
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_4_4_8),y)
KERNEL_FILE_VER:=	4.4.8
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		d2a7a7536a5012cc2e6ab1ddf3d31320b4420cc4de3a4c2cda1daed8663bee09
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_4_1_23),y)
KERNEL_FILE_VER:=	4.1.23
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		15b13213052596f9af040dc25e01a88e950a0901cec38fabb8f38b6a661e8c74
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_18_31),y)
KERNEL_FILE_VER:=	3.18.31
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		0d04f979da76afb37af164b57aef8a2499b8987979d6f01adaa9b11821bf60b7
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_14_67),y)
KERNEL_FILE_VER:=	3.14.67
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		f0fef05f0c89382e5152a3b53cbb3350613c0a16dda2a2c2fef88985a7b7dbae
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_12_59),y)
KERNEL_FILE_VER:=	3.12.59
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		6c626d95186c082a3a3e7e777cd374c0e03a851d8b8b2b2a0ee29786a1efce93
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_10_101),y)
KERNEL_FILE_VER:=	3.10.101
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		36358cdcc2f322d4b5fc0e7fc44376b7dbc895c94703db8787722145b7e912bd
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_4_111),y)
KERNEL_FILE_VER:=	3.4.111
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		e02c7b5cf97b3bfa40febf2e957c1652dcecd557dc0d5cd5936815355c9e6efb
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_2_79),y)
KERNEL_FILE_VER:=	3.2.79
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		e3f85b5cfdf2f1590a2fd9523a6fcb09312a34309fdad4fb2a0ff60a3170547c
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_2_6_32_70),y)
KERNEL_FILE_VER:=	2.6.32.70
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		d7d0ee4588711d4f85ed67b65d447b4bbbe215e600a771fb87a62524b6341c43
endif
